import StateHandler from '@/Engine/StateMahines/StateHandler';
import { FuncMainState } from '../FuncMain';

export default class DataMeterHandle implements StateHandler<FuncMainState> {
  stateIn(): void {
    window.GT_APP.funcDataMeter.setActive(true);
  }
  stateRunning(): FuncMainState {
    return FuncMainState.Login;
  }
  stateExit(): void {
    window.GT_APP.funcDataMeter.setActive(false);
  }
}
